Get History
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/history \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"type": "<string>",
"amount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"metadata": "<unknown>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>"
}Billing & Usage
Get History
Get billing transaction history.
GET
/
v3
/
billing
/
history
Get History
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/history \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"type": "<string>",
"amount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"metadata": "<unknown>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.